/*  GuiTuner 0.05
 *  Copyright (c) 2001 Fabio Checconi <fchecconi@libero.it>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CONF_H_
#define _CONF_H_

#include "audio.h"
#include "calc.h"
#include "note.h"
#include "window.h"
#include "conferror.h"
#include "conffile.h"

namespace Tuner {
	enum ByteOrder {
		LITTLEENDIAN,
		BIGENDIAN
	};

	enum FftCalcMode {
		MAX_SEARCH,
		PEAK_SEARCH
	};

	enum AudioDriver {
#ifdef HAVE_LIBASOUND
		ALSA_DRIVER,
#endif
		OSS_DRIVER,
		ESD_DRIVER
	};

	enum DetectionMode {
		FFTCALC
	};

	struct CalcInfo {
		int points;
		Window::WindowType wtype;
		FftCalcMode mode;
		bool useGate;
		int percent;
		int hold;
		int rel;
		int att;

		bool load(Config::ConfFile &) throw(Error::ConfError);
		bool loadDefaults() throw();
		bool save(Config::ConfFile &) throw(Error::ConfError);
	};

	struct NoteInfo {
		NamingConv conv;
		double delta;
		double ref;

		bool load(Config::ConfFile &) throw(Error::ConfError);
		bool loadDefaults() throw();
		bool save(Config::ConfFile &) throw(Error::ConfError);
	};
}

#endif

