/*  GuiTuner 0.05
 *  Copyright (c) 2001 Fabio Checconi <fchecconi@libero.it>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUITUNER_H_
#define _GUITUNER_H_

#include "genconf.h"
#include "gui.h"
#include "mainthread.h"

class GuiTuner {
	public:
		GuiTuner(int &argc, char **&argv);
		~GuiTuner();

	static void start();
	static void stop();

	static void pause();
	static void resume();

	static void reconfigure(Tuner::AudioDriver, Tuner::AudioDriver,
		Tuner::DetectionMode, Tuner::AudioInfo *, Tuner::AudioInfo *,
		Tuner::CalcInfo *, Tuner::NoteInfo *);
	static Config::GenConf *getConf() throw();

	static void reportMsg(const std::string &) throw();

	private:
		GuiTuner(const GuiTuner &);
	const GuiTuner &operator=(const GuiTuner &);

	static GuiTuner *obj;
	static bool running;

	Interface::Gui *gui;
	Thread::MainThread *mt;

	Config::GenConf *conf;
};

#endif

