/*  GuiTuner 0.05
 *  Copyright (c) 2001 Fabio Checconi <fchecconi@libero.it>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _PRESETDATA_H_
#define _PRESETDATA_H_

namespace Player {
	enum { DEF_PRESETS = 44 };

	struct PresetData {
		const char *name;
		int val[6];
	};

	const PresetData stdPreset[DEF_PRESETS] = {
		{ "Standard E", 28, 33, 38, 43, 47, 52 },
		{ "Open E", 28, 35, 40, 44, 47, 52 },
		{ "E 7/9 (Lute)", 28, 33, 38, 42, 47, 52 },
		{ "E Drone", 28, 28, 40, 40, 52, 52 },
		{ "E Minor", 28, 35, 40, 43, 47, 52 },
		{ "E Power Chord", 28, 28, 35, 35, 52, 52 },
		{ "High Strung", 52, 45, 50, 55, 47, 52 },
		{ "Standard Eb", 27, 32, 37, 42, 46, 51 },
		{ "Eb min/maj7", 27, 34, 34, 42, 46, 50 },
		{ "Standard D", 26, 31, 36, 41, 45, 50 },
		{ "Open D", 26, 33, 38, 42, 45, 50 },
		{ "Drop D", 26, 33, 38, 43, 47, 52 },
		{ "Double Drop D", 26, 33, 38, 43, 47, 50 },
		{ "D Suspended", 26, 33, 38, 43, 45, 50 },
		{ "D 6th", 26, 33, 38, 42, 47, 50 },
		{ "D 6/9", 26, 33, 38, 42, 47, 52 },
		{ "D 7", 26, 33, 38, 45, 48, 50 },
		{ "D 7sus 4", 26, 31, 36, 43, 48, 50 },
		{ "Standard Db", 25, 30, 34, 40, 44, 49 },
		{ "Drop Db", 25, 32, 37, 42, 46, 51 },
		{ "Standard C", 24, 29, 34, 39, 43, 48 },
		{ "Open C", 24, 31, 36, 43, 48, 52 },
		{ "Drop C", 24, 31, 36, 41, 45, 50 },
		{ "C 6th", 24, 33, 36, 43, 48, 52 },
		{ "C 6th (Mauna Loa)", 24, 31, 36, 43, 45, 52 },
		{ "C maj7 (Grabby)", 24, 31, 40, 43, 47, 52 },
		{ "C maj7/9", 24, 31, 38, 43, 47, 52 },
		{ "C maj7/11", 24, 29, 36, 43, 47, 52 },
		{ "Cryil C", 24, 31, 40, 43, 48, 52 },
		{ "C 6/9", 24, 43, 38, 45, 52, 55 },
		{ "Standard B", 35, 28, 33, 38, 42, 59 },
		{ "Drop B", 35, 30, 35, 40, 44, 49 },
		{ "Open A", 28, 33, 40, 45, 49, 52 },
		{ "A minor", 28, 33, 40, 45, 48, 52 },
		{ "Open G", 26, 31, 38, 43, 47, 50 },
		{ "G minor", 26, 31, 38, 43, 46, 50 },
		{ "G 6th", 26, 31, 38, 43, 47, 52 },
		{ "G Wahine", 26, 31, 38, 42, 47, 50 },
		{ "G add11", 26, 31, 38, 43, 47, 48 },
		{ "G major", 31, 35, 38, 43, 47, 50 },
		{ "Standard F", 29, 34, 40, 44, 36, 41 },
		{ "Open F", 29, 36, 41, 45, 36, 53 },
		{ "F minor", 29, 24, 41, 44, 36, 53 },
		{ "F major", 29, 33, 36, 41, 45, 48 }
	};
}

#endif

