/*  GuiTuner 0.05
 *  Copyright (c) 2001 Fabio Checconi <fchecconi@libero.it>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _TEXT_GUI_H_
#define _TEXT_GUI_H_

#include "gui.h"
#include "note.h"

namespace Interface {
	class TextGui: public Gui {
		public:
			TextGui(int *, char ***) throw(Error::GuiError);
		   ~TextGui();

		void open() throw(Error::GuiError);
		void close() throw(Error::GuiError);

		void start() throw(Error::GuiError);
		void stop() throw(Error::GuiError);

		void pause() throw(Error::GuiError);
		void resume() throw(Error::GuiError);

		void delay(unsigned int) throw(Error::GuiError);

		void display(const Tuner::Note &, bool = true) throw(Error::GuiError);
		void display(const std::string &) throw(Error::GuiError);

		void errorMsg(const std::string &) throw();

		private:
			TextGui(const TextGui &);
		const TextGui &operator=(const TextGui &);

		static void sigHandler(int) throw();
		bool stopReq;
	};
}

#endif

