/*  GuiTuner 0.05
 *  Copyright (c) 2001 Fabio Checconi <fchecconi@libero.it>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _UTILS_H_
#define _UTILS_H_

#include <new>
#include "conf.h"

namespace Tuner {
	void char2int(const unsigned char *, int *, int, ByteOrder) throw();

	template<typename T, typename S = unsigned int>
	class Buffer {
		public:
			Buffer(S s) throw(std::bad_alloc)
			{
				if(size = s)
					ptr = new T[size];
				else
					ptr = 0;
			}

			~Buffer() { if(ptr) delete []ptr; }

		void resize(S s) throw(std::bad_alloc)
		{
			if(s != size) {
				if(ptr)
					delete []ptr;
				ptr = new T[size = s];
			}
		}

		T *g_ptr() { return ptr; }
		S g_size() { return size; }

		private:
			Buffer(const Buffer &);
		const Buffer &operator=(const Buffer &);

		T *ptr;
		S size;
	};

	bool tone(Buffer<unsigned char> &, double freq, const AudioInfo &) throw();
}

#endif

